Subject: Re: [PATCH 2/2] [RFC] Add c/r support for connected INET sockets

From: Dan Smith <danms-r/[email-masked]>
Date: Thu, 08 Oct 2009 08:41:12 -0700

JD> You're passing 0 as the protocol value to sock_create().  This
JD> ultimately gets passed to the address family's create() function.

The fix is to pass in the previous version of sk_protocol instead of
zero, right?  It looks like inet_create() has enough intelligence to
weed out invalid values for us too...

-- 
Dan Smith
IBM Linux Technology Center
email: danms-r/[email-masked]